Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::MenuItemEx Class Reference

Inherits Object.

## Public Member Functions
| MenuItemEx ()
| Constructor.
| MenuItemEx (const MenuItemEx &menu_item)
| Constructor, with another menu item object. More...
| MenuItemEx (const wchar_t *item_name, const wchar_t *return_name, bool is_checked, bool is_enabled, MenuItemExArray sub_menu_item_array)
| Constructor, with parameters. More...
MenuItemEx & | operator= (const MenuItemEx &menu_item)
| Assign operator. More...
void | Set (const wchar_t *item_name, const wchar_t *return_name, bool is_checked, bool is_enabled, MenuItemExArray sub_menu_item_array)
| Set values. More...

## Public Attributes
bool | is_checked
| A boolean value which indicates whether the menu item is to be marked as checked. More...
bool | is_enabled
| A boolean value which indicates whether the menu item is to appear enabled or grayed out. More...
WString | item_name
| The menu item name, which is the string to appear on the menu item. The value of "-" is reserved to draw a separator line in the menu.
WString | return_name
| A string to be returned when the menu item is selected. The default is the value of item name.
MenuItemExArray | sub_menu_item_array
| The sub menu item array.

## Detailed Description

This class represents menu item.

## Constructor & Destructor Documentation

## ◆ MenuItemEx() [1/2]

foxit::MenuItemEx::MenuItemEx | ( | const wchar_t * | item_name,
|  | const wchar_t * | return_name,
|  | bool | is_checked,
|  | bool | is_enabled,
|  | MenuItemExArray | sub_menu_item_array
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | item_name | The menu item name, which is the string to appear on the menu item.
  [in] | return_name | A string to be returned when the menu item is selected.
  [in] | is_checked | A boolean value which indicates whether the menu item is to be marked as checked.
  [in] | is_enabled | A boolean value which indicates whether the menu item is to appear enabled or grayed out.
  [in] | sub_menu_item_array | The sub menu item array.

## ◆ MenuItemEx() [2/2]

foxit::MenuItemEx::MenuItemEx | ( | const MenuItemEx & | menu_item | ) |
| inline

Constructor, with another menu item object.

Parameters

  [in] | menu_item | Another menu item object.

## Member Function Documentation

## ◆ operator=()

MenuItemEx& foxit::MenuItemEx::operator= | ( | const MenuItemEx & | menu_item | ) |
| inline

Assign operator.

Parameters

  [in] | menu_item | Another menu item object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::MenuItemEx::Set | ( | const wchar_t * | item_name,
|  | const wchar_t * | return_name,
|  | bool | is_checked,
|  | bool | is_enabled,
|  | MenuItemExArray | sub_menu_item_array
| ) |  |
| inline

Set values.

Parameters

  [in] | item_name | The menu item name, which is the string to appear on the menu item.
  [in] | return_name | A string to be returned when the menu item is selected.
  [in] | is_checked | A boolean value which indicates whether the menu item is to be marked as checked.
  [in] | is_enabled | A boolean value which indicates whether the menu item is to appear enabled or grayed out.
  [in] | sub_menu_item_array | The sub menu item array.

Returns
  None.

## Member Data Documentation

## ◆ is_checked

bool foxit::MenuItemEx::is_checked

A boolean value which indicates whether the menu item is to be marked as checked.

true means that the menu item is to be marked as checked, while false means that the menu item is not to be marked as checked.

## ◆ is_enabled

bool foxit::MenuItemEx::is_enabled

A boolean value which indicates whether the menu item is to appear enabled or grayed out.

true means that the menu item is to appear enabled, while false means that the menu item is to appear grayed out.